uses
  uwater,
  video,usm,crt;

var
  psp_seg: dword;
  music: PUSM;

begin
  asm
    push eax
    push ebx
    xor ebx,ebx
    mov ah,62h
    int 21h
    mov [psp_seg],ebx
    pop ebx
    pop eax
  end;
  USS_HardwareInit(PSP_Seg);
  USS_ManualSetup;
  Video_Selectmode;
  textmode(co80);
  writeln('Loading music...');
  music:=USS_XM_Load(0,$20202020,'zak.xm');
  writeln('Calculating...');
  water_INIT;
  writeln('Starting demo...');
  video_init;
  USMP_StartPlays(music);
  water_ACTION;
  USMP_StopPlays;
  video_close;
  textmode(co80);
  USMP_FreeModules(music);
  water_CLOSE;
  writeln('Copyright (C) 1998, Inquisition');
  writeln(counter);
end.
